Old 13th July 2011, 21:20   #1
PPNSteve
Junior Member
 
Join Date: May 2010
Posts: 12
aac+ v2 No longer avail

Using Winamp along with Edcast pluhin to stream to an Icecast server and this update to Winamp removes the AAC+ v2 option from the stream encoding selections.

This bug will force me to downgrade back to the 5.61 build.

upgrade from 5.61x to 5.62
using big bento
plugins: edcast, last.fm
system: win7 64bit on quadcore intel with 4GB ram

screenshots: not available as I had to downgrade immediately to maintain radio station UPTIME.


steps to reproduce bug:

Be running winamp 5.61 with the edcast plugin for connecting to shoutcast/icecast servers using the AAC+ v2 encoding method.

upgrade currently working Winamp 5.61x install to the latest 5.62 build.

launch winamp and edcast plugin, try to connect to streaming server, the option for aac+ is no longer available.

connection fails due to "error starting encoder"

Last edited by PPNSteve; 13th July 2011 at 21:34. Reason: added details
PPNSteve is offline   Reply With Quote
Old 13th July 2011, 21:42   #2
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,866
The CT AAC+ Encoder has been replaced by a new Fraunhofer AAC Encoder in Winamp 5.62
DJ Egg is offline   Reply With Quote
Old 13th July 2011, 21:49   #3
MrSinatra
Forum King
 
MrSinatra's Avatar
 
Join Date: Dec 2004
Location: WKPS, State College
Posts: 5,732
Send a message via AIM to MrSinatra
maybe u can try putting the old DLL in the new build?

PENN STATE Radio or http://www.LION-Radio.org/
--
BUG #1 = Winamp skips short tracks
Wish #1 = Multiple Column Sorting
Wish #2 = Add TCMP/Compilation editing
MrSinatra is offline   Reply With Quote
Old 13th July 2011, 21:58   #4
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,866
Yeah, you can manually place enc_aacplus.dll from Winamp 5.61 into the Winamp\Plugins folder.
I don't think it'll cause any conflicts with enc_fhgaac.dll...
DJ Egg is offline   Reply With Quote
Old 13th July 2011, 22:24   #5
PPNSteve
Junior Member
 
Join Date: May 2010
Posts: 12
Ok
since we still have the new version installer, we'll try that when we reinstall the new ver on the next radio station break..

edit: tried it on the winxp machine, seemed to work.. well at least the AAC+ option was still avail in edcast settings.

suggestion, not deleting it during upgrade until its properly/completely replaced with the fraunhofer ver
PPNSteve is offline   Reply With Quote
Old 14th July 2011, 09:10   #6
DrO
 
Join Date: Sep 2003
Posts: 27,873
most likely edcast is assuming the dll will be there so the onus is on it being updated to use the new encoder (though i doubt that'd happen if edcast is no longer developed).

one option would be to rename the new fhg encoder to the name of the old CT dll and that should probably work (not tested so i'm probably wrong) but as is always the case, 3rd party plug-in authors have the responsible to keep their plug-ins up to date with any changes made to Winamp and the dlls / features it provides (especially when there's a change in the dlls provided as is the case with this).

the old encoder deletion on upgrade is a license requirement of using the newer fhg libraries so that cannot be undone.

-daz
DrO is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Winamp > Winamp Bug Reports

Tags
aac+, edcast, icecast, streaming server

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump